Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.dbo.impl
Class DBObjectImpl

    java.lang.Object
      com.stc.connector.hl7.framework.persist.dbo.impl.DBObjectImpl

All Implemented Interfaces:
  DBObject

Direct Known Subclasses:
  HL7MessageLogDBOImpl

    public abstract class DBObjectImpl

extends java.lang.Object
implements DBObject

DOCUMENT ME!

Author:
  Sun Microsystems

Field Summary
`protected java.lang.String` | `DELETE_STMT_STR` delete statement string
`protected java.lang.String` | `INSERT_STMT_STR` insert statement string
`protected java.lang.String` | `QUERY_STMT_STR` query statement string
`protected java.lang.String` | `UPDATE_STMT_STR` update statement string

Constructor Summary
`DBObjectImpl()`

Method Summary
`DBObject` | `createNew()` Create and return DBObject
`void` | `fillDeleteStmt(java.sql.PreparedStatement stmt)` Fill Delete Statement
`abstract void` | `fillInsertStmt(java.sql.PreparedStatement stmt)` Fill Insert Statement
`abstract void` | `fillQueryStmt(java.sql.PreparedStatement stmt)` Fill Query Statement
`void` | `fillUpdateStmt(java.sql.PreparedStatement stmt)` Fill Update Statement
`java.lang.String` | `getDeleteStmt()` Returns Delete Statement
`java.lang.String` | `getInsertStmt()` Returns Insert Statement
`protected abstract DBObject` | `getNewObject()` get new instance of DBObject
`java.lang.String` | `getQueryStmt()` Returns Query Statement
`java.lang.String` | `getUpdateStmt()` Returns Update Statement
`protected void` | `init(java.lang.String insert, java.lang.String update, java.lang.String delete, java.lang.String query)` initialization
`abstract void` | `populateDBO(java.sql.ResultSet rs)` Populate DBO

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSERT_STMT_STR

    protected java.lang.String INSERT_STMT_STR

  insert statement string

### UPDATE_STMT_STR

    protected java.lang.String UPDATE_STMT_STR

  update statement string

### DELETE_STMT_STR

    protected java.lang.String DELETE_STMT_STR

  delete statement string

### QUERY_STMT_STR

    protected java.lang.String QUERY_STMT_STR

  query statement string

Constructor Detail

### DBObjectImpl

    public DBObjectImpl()

Method Detail

### init

    protected void init(java.lang.String insert,
                        java.lang.String update,
                        java.lang.String delete,
                        java.lang.String query)

  initialization

  Parameters:
    `insert` - insert statement string
    `update` - update statement string
    `delete` - delete statement string
    `query` - query statement string

### getInsertStmt

    public java.lang.String getInsertStmt()

  Returns Insert Statement

  Specified by:
    `getInsertStmt` in interface `DBObject`
  Returns:
    insert statement

### getUpdateStmt

    public java.lang.String getUpdateStmt()

  Returns Update Statement

  Specified by:
    `getUpdateStmt` in interface `DBObject`
  Returns:
    String update statement

### getDeleteStmt

    public java.lang.String getDeleteStmt()

  Returns Delete Statement

  Specified by:
    `getDeleteStmt` in interface `DBObject`
  Returns:
    String delete statement

### getQueryStmt

    public java.lang.String getQueryStmt()

  Returns Query Statement

  Specified by:
    `getQueryStmt` in interface `DBObject`
  Returns:
    String query statement

### fillInsertStmt

    public abstract void fillInsertStmt(java.sql.PreparedStatement stmt)
                                 throws java.sql.SQLException

  Fill Insert Statement

  Specified by:
    `fillInsertStmt` in interface `DBObject`
  Parameters:
    `stmt` - PareparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillDeleteStmt

    public void fillDeleteStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  Fill Delete Statement

  Specified by:
    `fillDeleteStmt` in interface `DBObject`
  Parameters:
    `stmt` - PareparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillUpdateStmt

    public void fillUpdateStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  Fill Update Statement

  Specified by:
    `fillUpdateStmt` in interface `DBObject`
  Parameters:
    `stmt` - PareparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillQueryStmt

    public abstract void fillQueryStmt(java.sql.PreparedStatement stmt)
                                throws java.sql.SQLException

  Fill Query Statement

  Specified by:
    `fillQueryStmt` in interface `DBObject`
  Parameters:
    `stmt` - PareparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### populateDBO

    public abstract void populateDBO(java.sql.ResultSet rs)
                              throws java.sql.SQLException

  Populate DBO

  Specified by:
    `populateDBO` in interface `DBObject`
  Parameters:
    `rs` - java.sql.ResultSet
  Throws:
    `java.sql.SQLException` - SQLException

### createNew

    public DBObject createNew()

  Create and return DBObject

  Specified by:
    `createNew` in interface `DBObject`
  Returns:
    DBObject DBObject

### getNewObject

    protected abstract DBObject getNewObject()

  get new instance of DBObject

  Returns:
    DBObject DBObject

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD